summaryrefslogtreecommitdiff
path: root/scripts
diff options
context:
space:
mode:
Diffstat (limited to 'scripts')
-rw-r--r--scripts/build_win32.sh27
1 files changed, 25 insertions, 2 deletions
diff --git a/scripts/build_win32.sh b/scripts/build_win32.sh
index b9ba8d30a..3fbe81d1d 100644
--- a/scripts/build_win32.sh
+++ b/scripts/build_win32.sh
@@ -1,10 +1,33 @@
#!/usr/bin/env bash
set -e
-apt-get update && apt-get install -y mingw32 mingw32-binutils mingw32-runtime default-jdk nsis libsaxonb-java
+export nixpaste="curl -F 'text=<-' http://nixpaste.lbr.uno"
+apt-get update && apt-get install -y mingw-w64 mingw-w64-tools \
+ default-jdk nsis libsaxonb-java curl
mkdir win32
pushd win32
-cmake -Dbinding/python:BOOL=FALSE -DSAMPLE_MAP=n -DBUILD_MAPTOOL=n -DXSLTS=windows -DCMAKE_TOOLCHAIN_FILE=../Toolchain/mingw32.cmake ../ && make -j $(nproc --all) && make -j $(nproc --all) package
+if ! cmake -Dbinding/python:BOOL=FALSE -DSAMPLE_MAP=n -DBUILD_MAPTOOL=n \
+ -DXSLTS=windows -DCMAKE_TOOLCHAIN_FILE=../Toolchain/mingw32.cmake ../
+then
+ find .
+ #nixpaste < ./CMakeFiles/CMakeError.log
+ exit 1
+fi
+
+if ! make -j $(nproc --all)
+then
+ echo "make"
+ make -d
+ nixpaste < ./Makefile || cat ./Makefile
+ exit 1
+fi
+
+if ! make -j $(nproc --all) package
+then
+ echo "make package"
+ nixpaste < ./Makefile
+ exit 1
+fi
popd
cp win32/*.exe $CIRCLE_ARTIFACTS/